Subject: bug#53352: 29.0.50; IMAP INBOX not refreshing using `gnus-group-get-new-news'

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 21 Jan 2022 11:29:36 +0100

Michael Welsh Duggan <[email-masked]> writes:

> I have a gnus installation where the select method is as such:
>
>     ;;; Select Method
>     (setq gnus-select-method
>           '(nnimap "localimap"
>                     (nnimap-inbox "INBOX")
>                     (nnimap-address "xxxxxxxx.xxx")))

If you're not using Gnus to split the mail, wouldn't it make more sense
to leave nnimap-inbox as nil?

> Mail splitting is currently being handled by sieve, not by Gnus.
> However, when sieve leaves a message in INBOX rather than sorting it to
> another folder, it does not appear in INBOX using `g'
> (gnus-group-get-new-news).  Any mail that stays there does show up if I
> use `M-g' (gnus-topic-get-new-news-this-topic) on the group.  This only
> happens for the INBOX folder.  I don't believe INBOX should behave
> differently from other folders in this regard.

I don't see any special handling of the folder called INBOX in nnimap.
Do you have the INBOX group on a too-high level?  You said you're using
a group activation level of 1, but not what the level of the INBOX group
was.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no